14 Comments

  1. Ajin Abraham January 21, 2016 at 6:24 pm #

    For Dynamic Analysis, you need to have a host only adapter. Check with VirtualBox support and get it resolved.
    You should follow the steps as mentioned in the Wiki https://github.com/ajinabraham/Mobile-Security-Framework-MobSF/wiki/Documentation

    Reply

    • diegoflexkid January 21, 2016 at 7:02 pm #

      I have resolved but when i try to do the dynamic analysis i have this error:
      ImportError at /DynamicAnalyzer/
      No module named psutil
      Request Method: POST
      Request URL: http://127.0.0.1:8000/DynamicAnalyzer/
      Django Version: 1.8
      Exception Type: ImportError
      Exception Value:
      No module named psutil
      Exception Location: /Users/Flexkid/MobSF/DynamicAnalyzer/views.py in , line 5
      Python Executable: /usr/bin/python
      Python Version: 2.7.10
      Python Path:
      [‘/Users/Flexkid/MobSF’,
      ‘/Library/Python/2.7/site-packages/GeoTweet-0.1-py2.7.egg’,
      ‘/Library/Python/2.7/site-packages/folium-0.1.6-py2.7.egg’,
      ‘/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python27.zip’,
      ‘/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7’,
      ‘/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/plat-darwin’,
      ‘/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/plat-mac’,
      ‘/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/plat-mac/lib-scriptpackages’,
      ‘/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python’,
      ‘/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-tk’,
      ‘/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-old’,
      ‘/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload’,
      ‘/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/PyObjC’,
      ‘/Library/Python/2.7/site-packages’]
      Server time: Thu, 21 Jan 2016 19:02:42 +0000

      Reply

      • OpSecX January 21, 2016 at 7:06 pm #

        This is pretty clear.

        No module named psutil

        Did you run pip install -r requirements.txt.

        Reply

        • diegoflexkid January 21, 2016 at 7:08 pm #

          Yes i do it for install the dependence

          Reply

          • OpSecX January 21, 2016 at 7:09 pm #

            But you might have got some error there. It’s not properly installed. Your error log clearly says that.

            Exception Type: ImportError
            Exception Value:
            No module named psutil
            Exception Location: /Users/Flexkid/MobSF/DynamicAnalyzer/views.py in , line 5

        • diegoflexkid January 21, 2016 at 7:10 pm #

          i have resolved with sudo pip install psutil
          but now i have another error
          OSError at /DynamicAnalyzer/
          [Errno 2] No such file or directory
          Request Method: POST
          Request URL: http://127.0.0.1:1234/DynamicAnalyzer/
          Django Version: 1.8
          Exception Type: OSError
          Exception Value:
          [Errno 2] No such file or directory
          Exception Location: /System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/subprocess.py in _execute_child, line 1335
          Python Executable: /usr/bin/python
          Python Version: 2.7.10
          Python Path:
          [‘/Users/Flexkid/MobSF’,
          ‘/Library/Python/2.7/site-packages/GeoTweet-0.1-py2.7.egg’,
          ‘/Library/Python/2.7/site-packages/folium-0.1.6-py2.7.egg’,
          ‘/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python27.zip’,
          ‘/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7’,
          ‘/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/plat-darwin’,
          ‘/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/plat-mac’,
          ‘/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/plat-mac/lib-scriptpackages’,
          ‘/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python’,
          ‘/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-tk’,
          ‘/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-old’,
          ‘/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload’,
          ‘/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/PyObjC’,
          ‘/Library/Python/2.7/site-packages’]

          Reply

  2. OpSecX January 21, 2016 at 7:12 pm #

    Hello sir i have a problem with the report generate. the error is: [ERROR] PDF Report Generation Error – global name ‘pisa’ is not defined Line: 137

    See this also tells that. You have not properly installed the dependencies.

    Reply

    • diegoflexkid January 21, 2016 at 7:14 pm #

      I try to reinstall, now when i try to launch the command
      pip install -r requirements.txt
      i have this error
      Detected a distutils installed project (‘six’) which we cannot uninstall. The metadata provided by distutils does not contain a list of files which have been installed, so pip does not know which files to uninstall.

      Reply

      • OpSecX January 21, 2016 at 7:16 pm #

        Then you should try to manually install all the dependencies by trying
        sudo pip install dependency_name

        Reply

        • diegoflexkid January 21, 2016 at 7:37 pm #

          I tried but the problem continues

          Reply

          • OpSecX January 21, 2016 at 7:41 pm #

            This is a Mac specific issue that is preventing you from installing dependencies. You have to resolve that to make MobSF work in MAC.

        • diegoflexkid January 21, 2016 at 7:44 pm #

          And do you have any suggest for resolve?

          Reply

          • OpSecX January 21, 2016 at 7:46 pm #

            We are not sure what is the reason, you are not able to install python dependencies. You may try reinstalling python 2.7 and pip. Also search in the internet to see if someone else is facing similar problem.

Leave a Reply

Time limit is exhausted. Please reload CAPTCHA.